scala.tools.nsc

# StandardCompileServer

#### class StandardCompileServer extends SocketServer

The server part of the fsc offline compiler. It awaits compilation commands and executes them. It caches a compiler instance so that it can respond more quickly.

Version

  1.0

Linear Supertypes
SocketServer, CompileOutputCommon, AnyRef, Any
Known Subclasses
CompileServer
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. StandardCompileServer
2. SocketServer
3. CompileOutputCommon
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new StandardCompileServer()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from StandardCompileServer to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (StandardCompileServer, B)

   Implicit information
     This member is added by an implicit conversion from StandardCompileServer to ArrowAssoc[StandardCompileServer] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### val BufferSize: Int

   Definition Classes
     SocketServer

9. #### val MaxCharge: Double

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### lazy val compileSocket: CompileSocket

13. #### def createServerSocket(): ServerSocket

    Attributes
      protected
    Definition Classes
      SocketServer

14. #### def doSession(clientSocket: Socket): Unit

    Definition Classes
      SocketServer

15. #### def echo(msg: String): Unit

    Definition Classes
      CompileOutputCommon

16. #### def ensuring(cond: (StandardCompileServer) ⇒ Boolean, msg: ⇒ Any): StandardCompileServer

    Implicit information
      This member is added by an implicit conversion from StandardCompileServer to Ensuring[StandardCompileServer] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: (StandardCompileServer) ⇒ Boolean): StandardCompileServer

    Implicit information
      This member is added by an implicit conversion from StandardCompileServer to Ensuring[StandardCompileServer] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: Boolean, msg: ⇒ Any): StandardCompileServer

    Implicit information
      This member is added by an implicit conversion from StandardCompileServer to Ensuring[StandardCompileServer] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: Boolean): StandardCompileServer

    Implicit information
      This member is added by an implicit conversion from StandardCompileServer to Ensuring[StandardCompileServer] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

22. #### def fatal(msg: String): Nothing

    Definition Classes
      CompileOutputCommon

23. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

24. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from StandardCompileServer to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

25. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

26. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

27. #### var idleMinutes: Int

    Attributes
      protected
    Definition Classes
      SocketServer

28. #### var in: BufferedReader

    Definition Classes
      SocketServer

29. #### def info(msg: String): Unit

    Definition Classes
      CompileOutputCommon

30. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

31. #### def isMemoryFullEnough(): Boolean

32. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

33. #### def newGlobal(settings: Settings, reporter: Reporter): Global

    Create a new compiler instance

34. #### def newOfflineCompilerCommand(arguments: List[String], settings: FscSettings): OfflineCompilerCommand

    Attributes
      protected

35. #### final def notify(): Unit

    Definition Classes
      AnyRef

36. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

37. #### var out: PrintWriter

    Definition Classes
      SocketServer

38. #### lazy val port: Int

    Definition Classes
      SocketServer

39. #### def printMemoryStats(): Unit

40. #### var reporter: ConsoleReporter

41. #### def run(): Unit

    Definition Classes
      SocketServer

42. #### lazy val serverSocket: ServerSocket

    Definition Classes
      SocketServer

43. #### def session(): Unit

    Definition Classes
      StandardCompileServer → SocketServer

44. #### var shutdown: Boolean

    Definition Classes
      StandardCompileServer → SocketServer

45. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

46. #### def timeout(): Unit

    Definition Classes
      StandardCompileServer → SocketServer

47. #### def toString(): String

    Definition Classes
      AnyRef → Any

48. #### def unequalSettings(s1: Settings, s2: Settings): Set[Settings.Setting]

    Problematically, Settings are only considered equal if every setting is exactly equal.

    Problematically, Settings are only considered equal if every setting is exactly equal. In fsc this immediately breaks down because the randomly chosen temporary outdirs differ between client and server. Among other things. Long term we could use a meaningful equality; short term I'm just ignoring options which I can see causing a new compiler instance every time and which do not interestingly influence compilation products.

49. #### var verbose: Boolean

    Definition Classes
      StandardCompileServer → CompileOutputCommon

50. #### val versionMsg: String

51. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

53. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

54. #### def warn(msg: String): Unit

    Definition Classes
      CompileOutputCommon

55. #### def →[B](y: B): (StandardCompileServer, B)

    Implicit information
      This member is added by an implicit conversion from StandardCompileServer to ArrowAssoc[StandardCompileServer] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from StandardCompileServer to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (standardCompileServer: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from StandardCompileServer to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (standardCompileServer: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: StandardCompileServer

   Implicit information
     This member is added by an implicit conversion from StandardCompileServer to ArrowAssoc[StandardCompileServer] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (standardCompileServer: ArrowAssoc[StandardCompileServer]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: StandardCompileServer

   Implicit information
     This member is added by an implicit conversion from StandardCompileServer to Ensuring[StandardCompileServer] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (standardCompileServer: Ensuring[StandardCompileServer]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from SocketServer

### Inherited from CompileOutputCommon

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from StandardCompileServer to StringAdd

### Inherited by implicit conversion any2stringfmt from StandardCompileServer to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from StandardCompileServer to ArrowAssoc[StandardCompileServer]

### Inherited by implicit conversion any2Ensuring from StandardCompileServer to Ensuring[StandardCompileServer]

### Ungrouped